<div id="top"></div>
<!--
*** Thanks for checking out the Best-README-Template. If you have a suggestion
*** that would make this better, please fork the repo and create a pull request
*** or simply open an issue with the tag "enhancement".
*** Don't forget to give the project a star!
*** Thanks again! Now go create something AMAZING! :D
-->



<!-- PROJECT SHIELDS -->
[![Contributors][contributors-shield]][contributors-url]
[![Forks][forks-shield]][forks-url]
[![Stargazers][stars-shield]][stars-url]
[![Issues][issues-shield]][issues-url]
[![MIT License][license-shield]][license-url]
[![LinkedIn][linkedin-shield]][linkedin-url]



<!-- PROJECT LOGO -->
<br />
<div align="center">

  <h3 align="center">Risk Modeling Tools</h3>

  <p align="center">
    An awesome README template to jumpstart your projects!
    <br />
    <a href="https://github.com/mgrts/risk_modeling_tools"><strong>Explore the docs »</strong></a>
    <br />
    <br />
    <a href="https://github.com/mgrts/risk_modeling_tools">View Demo</a>
    ·
    <a href="https://github.com/mgrts/risk_modeling_tools/issues">Report Bug</a>
    ·
    <a href="https://github.com/mgrts/risk_modeling_tools/issues">Request Feature</a>
  </p>
</div>



<!-- TABLE OF CONTENTS -->
<details>
  <summary>Table of Contents</summary>
  <ol>
    <li>
      <a href="#about-the-project">About The Project</a>
      <ul>
        <li><a href="#built-with">Built With</a></li>
      </ul>
    </li>
    <li>
      <a href="#getting-started">Getting Started</a>
      <ul>
        <li><a href="#prerequisites">Prerequisites</a></li>
        <li><a href="#installation">Installation</a></li>
      </ul>
    </li>
    <li><a href="#usage">Usage</a></li>
    <li><a href="#roadmap">Roadmap</a></li>
    <li><a href="#contributing">Contributing</a></li>
    <li><a href="#license">License</a></li>
    <li><a href="#contact">Contact</a></li>
    <li><a href="#acknowledgments">Acknowledgments</a></li>
  </ol>
</details>



<!-- ABOUT THE PROJECT -->
## About The Project

There are many great libraries providing credit risk analysis tools on github. \
However, I couldn't find one that can cover all my needs. Hope you'll find it useful for your projects.

Here are the tools available in the library:
* Binning tool for both categorical and numerical features
* Feature selection tool for linear regression
* Basic optimization algorithms for credit portfolio management



### Built With

Here are the libraries used for the project.

* [numpy](https://numpy.org/)
* [pandas](https://pandas.pydata.org/)
* [scikit-learn](https://scikit-learn.org/)

<p align="right">(<a href="#top">back to top</a>)</p>



<!-- GETTING STARTED -->
## Getting Started

### Prerequisites

For using the library you need the following things
* python 3
* install pip or clone the git repository

### Installation

Bellow is the installation command using pip

   ```sh
   pip install risk-modeling-tools
   ```


<p align="right">(<a href="#top">back to top</a>)</p>



<!-- USAGE EXAMPLES -->
## Usage

The library may be used for scoring models developing and credit risk analysis

<p align="right">(<a href="#top">back to top</a>)</p>



<!-- ROADMAP -->
## Roadmap

- [x] Add Changelog
- [ ] Add Additional Templates w/ Examples

See the [open issues](https://github.com/mgrts/risk_modeling_tools) for a full list of proposed features (and known issues).

<p align="right">(<a href="#top">back to top</a>)</p>



<!-- CONTRIBUTING -->
## Contributing

Contributions are what make the open source community such an amazing place to learn, inspire, and create. Any contributions you make are **greatly appreciated**.

If you have a suggestion that would make this better, please fork the repo and create a pull request. You can also simply open an issue with the tag "enhancement".
Don't forget to give the project a star! Thanks again!

1. Fork the Project
2. Create your Feature Branch (`git checkout -b feature/AmazingFeature`)
3. Commit your Changes (`git commit -m 'Add some AmazingFeature'`)
4. Push to the Branch (`git push origin feature/AmazingFeature`)
5. Open a Pull Request

<p align="right">(<a href="#top">back to top</a>)</p>



<!-- LICENSE -->
## License

Distributed under the MIT License. See `LICENSE.txt` for more information.

<p align="right">(<a href="#top">back to top</a>)</p>



<!-- CONTACT -->
## Contact

Mikhail Gritskikh - [@m_gritskikh](https://twitter.com/m_gritskikh) - m.gritskikh@gmail.com

Project Link: [https://github.com/mgrts/risk_modeling_tools](https://github.com/mgrts/risk_modeling_tools)

<p align="right">(<a href="#top">back to top</a>)</p>



<!-- ACKNOWLEDGMENTS -->
## Acknowledgments

Some useful links for better understanding

* [Score Cards](https://medium.com/@yanhuiliu104/credit-scoring-scorecard-development-process-8554c3492b2b)
* [WoE and IV](https://www.analyticsvidhya.com/blog/2021/06/understand-weight-of-evidence-and-information-value/)

<p align="right">(<a href="#top">back to top</a>)</p>



<!-- MARKDOWN LINKS & IMAGES -->
<!-- https://www.markdownguide.org/basic-syntax/#reference-style-links -->
[contributors-shield]: https://img.shields.io/github/contributors/mgrts/risk_modeling_tools.svg?style=for-the-badge
[contributors-url]: https://github.com/mgrts/risk_modeling_tools/graphs/contributors
[forks-shield]: https://img.shields.io/github/forks/mgrts/risk_modeling_tools.svg?style=for-the-badge
[forks-url]: https://github.com/mgrts/risk_modeling_tools/network/members
[stars-shield]: https://img.shields.io/github/stars/mgrts/risk_modeling_tools.svg?style=for-the-badge
[stars-url]: https://github.com/mgrts/risk_modeling_tools/stargazers
[issues-shield]: https://img.shields.io/github/issues/mgrts/risk_modeling_tools.svg?style=for-the-badge
[issues-url]: https://github.com/mgrts/risk_modeling_tools/issues
[license-shield]: https://img.shields.io/github/license/mgrts/risk_modeling_tools.svg?style=for-the-badge
[license-url]: https://github.com/mgrts/risk_modeling_tools/blob/master/LICENSE.txt
[linkedin-shield]: https://img.shields.io/badge/-LinkedIn-black.svg?style=for-the-badge&logo=linkedin&colorB=555
[linkedin-url]: https://linkedin.com/in/mikhail-gritskikh-123b231a3